Get Impedance Statistics API
This API fetches and delivers impedance statistics to a customer's data lake/business system. It can be used for the following use cases:
-
Impedance statistics are the best indicator of the health of the wire between the distribution transformer and the meter. Poor connections increase the impedance and create more significant voltage drops which are seen by the utility customer as lights flickering. The goal is to proactively discover and resolve these cases before a consumer notifies the utility because it is less expensive to proactively plan and resolve high impedance issues.
-
There is also a safety benefit to correcting high impedance issues because as the connection degrades, it can create enough heat to cause a fire or break the connection and create an open live connection.
-
A utility customer calls their customer service representative (CSR) to complain about lights dimming or other impedance issues. While on the phone, the CSR checks the latest impedance values for that specific customer.
This is used to request a large data file in the format of your choice (Apache Parquet, ORC, JSON, CSV) for downloading when the request can take several minutes to complete.
-
Data product ID. db3b6ee5-65f0-4874-b9c6-1e57e4d19dde
-
Data latency. Three minutes or greater, depending on query parameters.
-
Maximum result size. Millions.
-
Data availability. Last 13 months.
Request
POST /dpss/api/v1/subscriptions/{{subscriptionid}}/batch-request
Host: k8s.itrontotal.com
Authorization: Bearer {{AccessToken}}
Itron-CorrelationId: a23b8d08-2c95-4f78-9206-77e894e73c48
DataSubscriberId: {{subscriberid}}
Content-Type: application/json
{
"filetype": "csv",
"tokens": {
"StartEventDate": "2024-01-01",
"EndEventDate": "2025-01-01",
"StartReceivedDateTime": "",
"EndReceivedDateTime": "",
"Device": "",
"ElectronicSerialNumber": "",
"Meter": "",
"MeterNumber": "",
"ServicePoint": "9000053409,9002036306,9000910527,9001640122",
"Premises": "",
"Transformer": "",
"Feeder": ""
},
"isOhsRequest": false
}
Response
MeterLeg,MedianImpedance,EventDate,ReceivedTime,EventCount,ServicePointId,MeterId,MeterNumber,ElectronicSerialNumber,TransformerId,PremiseId
1,44.38334,2023-09-13,2023-09-13T00:29:55.55Z,1,9000372474,1000634831,1000634831,2.16.840.1.114416.15.80.1000634831,4929542183-90777887,P9000372474
1,128.1167,2023-09-13,2023-09-13T00:29:55.55Z,1,9000502815,1000838385,1000838385,2.16.840.1.114416.15.80.1000838385,--,P9000502815
1,148.7167,2023-09-13,2023-09-13T00:29:55.55Z,2,9000053282,1000092413,1000092413,2.16.840.1.114416.15.80.1000092413,2594744147-91918635,P9000053282
2,176.55,2023-09-13,2023-09-13T00:29:55.55Z,5,9000585414,1000448760,1000448760,2.16.840.1.114416.15.80.1000448760,2662535221-10734063,P9000585414
1,111.8667,2023-09-13,2023-09-13T00:29:55.55Z,1,9000594308,1000508737,1000508737,2.16.840.1.114416.15.80.1000508737,2949637457-92808645,P9000594308
1,221.2667,2023-09-13,2023-09-13T00:29:55.55Z,6,9000580263,1000071660,1000071660,2.16.840.1.114416.15.80.1000071660,2435841314-92195447,P9000580263
1,104.4,2023-09-13,2023-09-13T00:29:55.55Z,2,9000372477,1000836297,1000836297,2.16.840.1.114416.15.80.1000836297,4495046038-10795431,P9000372477
2,185.5167,2023-09-13,2023-09-13T00:29:55.55Z,1,9000007738,1000561269,1000561269,2.16.840.1.114416.15.80.1000561269,2604141857-10581404,P9000007738
1,152.65,2023-09-13,2023-09-13T00:29:55.55Z,1,9000389087,1000326772,1000326772,2.16.840.1.114416.15.80.1000326772,2768938379-10477102,P9000389087
1,196.4,2023-09-13,2023-09-13T00:29:55.55Z,1,9000530026,1000062826,1000062826,2.16.840.1.114416.15.80.1000062826,2302540356-10169202,P9000530026
1,167.1167,2023-09-13,2023-09-13T00:29:55.55Z,1,9000098919,1000567185,1000567185,2.16.840.1.114416.15.80.1000567185,3393042722-93886808,P9000098919
3,34.23333,2023-09-13,2023-09-13T00:29:55.55Z,1,9001805366,1000846429,1000846429,2.16.840.1.114416.15.80.1000846429,--,P9001805366
This is used to request a smaller data set 'on demand' with very low latency.
-
Data latency. 1-5 seconds.
-
Maximum result size. 1,000 rows.
-
Data availability. Last 13 months.
Request
POST /dpss/api/v1/subscriptions/{{subscriptionid}}/on-demand
Host: k8s.itrontotal.com
Authorization: Bearer {{AccessToken}}
Itron-CorrelationId: 5e08ab90-b77e-4b8e-9b12-5874be4dbc02
DataSubscriberId: {{subscriberid}}
Content-Type: application/json
{
"startEventDate": "2024-07-01",
"endEventDate": "2024-08-01",
"startReceivedDateTime": "2024-07-01T00:00:00Z",
"endReceivedDateTime": "2024-08-01T00:00:00Z",
"ServicePoint": "9000053409,9002036306,9000910527,9001640122"
}
Response
[
{
"MeterLeg": 1,
"MedianImpedance": 44.38334,
"EventDate": "2023-09-13",
"RecievedTime": "2023-09-13T00:29:55.55Z",
"EventCount": 1,
"ServicePointId": 9000372474,
"MeterId": 1000634831,
"MeterNumber": 1000634831,
"ElectronicSerialNumber": "2.16.840.1.114416.15.80.1000634831",
"TransformerId": "4929542183-90777887",
"PremiseId": "P9000372474"
},
{
"MeterLeg": 1,
"MedianImpedance": 128.1167,
"EventDate": "2023-09-13",
"RecievedTime": "2023-09-13T00:29:55.55Z",
"EventCount": 1,
"ServicePointId": 9000502815,
"MeterId": 1000838385,
"MeterNumber": 1000838385,
"ElectronicSerialNumber": "2.16.840.1.114416.15.80.1000838385",
"TransformerId": "--",
"PremiseId": "P9000502815"
},
{
"MeterLeg": 1,
"MedianImpedance": 148.7167,
"EventDate": "2023-09-13",
"RecievedTime": "2023-09-13T00:29:55.55Z",
"EventCount": 2,
"ServicePointId": 9000053282,
"MeterId": 1000092413,
"MeterNumber": 1000092413,
"ElectronicSerialNumber": "2.16.840.1.114416.15.80.1000092413",
"TransformerId": "2594744147-91918635",
"PremiseId": "P9000053282"
}
]
Parameters
|
Name |
Description |
Operators |
Required |
Type |
Format |
Default |
Range |
Origination |
|---|---|---|---|---|---|---|---|---|
|
StartEventDate |
Start date being queried as Min(EventDate) |
Greater than or equal to |
No |
Date time |
YYYY-MM-DD |
2020-01-01 |
(Current UTC Date) to (Current UTC Date - 13 months) |
Edge app |
|
EndEventDate |
End date being queried as Max(EventDate) |
Less than or equal to |
No |
Date time |
YYYY-MM-DD |
9999-12-31 |
(Current UTC Date) to (Current UTC Date - 13 months) |
Edge app |
|
StartReceivedDatetime |
Min ReceivedTime data |
Greater than or equal to |
No |
Date time |
YYYY-MM-DDTHH:MM:SSZ |
2020-01-01T00:00:00.0Z |
(Current UTC Date) to (Current UTC Date - 13 months) |
App Platform |
|
EndReceivedDatetime |
Max ReceivedTime data |
Less than or equal to |
No |
Date time |
YYYY-MM-DDTHH:MM:SSZ |
9999-12-31T00:00:00.0Z |
(Current UTC Date) to (Current UTC Date - 13 months) |
App Platform |
|
Device |
The identifier of an electromechanical device that records measurements and/or communicates data on a network |
In list |
No |
String |
N/A |
N/A |
N/A |
CIS GIS MDMS |
|
ElectronicSerialNumber |
The Electronic Serial Number of an electromechanical device that records measurements and/or communicates data on a network |
In list |
No |
String |
N/A |
N/A |
N/A |
CIS GIS MDMS |
|
Meter |
An electromechanical device that records electricity, gas, or water measurements to determine the consumption and usage demand at a Service Point |
In list |
No |
String |
N/A |
N/A |
N/A |
CIS GIS MDMS |
|
MeterNumber |
An electromechanical device that records electricity, gas, or water measurements to determine the consumption and usage demand at a Service Point |
In list |
No |
String |
N/A |
N/A |
N/A |
CIS GIS MDMS |
|
ServicePoint |
A point where a customer meter is installed and electricity, gas, or water consumption is measured |
In list |
No |
String |
N/A |
N/A |
N/A |
CIS GIS MDMS |
|
Premises |
A physical location where a customer consumes the services supplied by your company |
In list |
No |
String |
N/A |
N/A |
N/A |
CIS GIS MDMS |
|
Transformer |
A device that changes the voltage from a distribution voltage to a service voltage, generally less than 480 V, before delivering electricity to a service point |
In list |
No |
String |
N/A |
N/A |
N/A |
CIS GIS MDMS |
|
Feeder |
A line immediately below a substation bank where power exits a substation to serve the demand of all customers connected to the feeder |
In list |
No |
String |
N/A |
N/A |
N/A |
CIS GIS MDMS |
Data values
|
Name |
Description |
Type |
Units |
Range |
Format |
Nullable |
Origination |
|---|---|---|---|---|---|---|---|
|
MeterLeg |
Meter Leg |
TinyInt |
N/A |
0 to 6 |
N |
No |
Edge app |
|
MedianImpedance |
Daily Median Impedance |
Real |
Milliohms |
>0 |
N.NN |
No |
Edge app |
|
EventDate |
UTC day for which the statistics have been collected |
Date |
N/A |
N/A |
YYYY-MM-DD |
No |
Edge app |
|
ReceivedTime |
When the data was received by the App Platform |
Date time |
N/A |
N/A |
YYYY-MM-DDTHH:MM:SSZ |
No |
App Platform |
|
EventCount |
Count of Measured Observations |
Integer |
N/A |
>=0 |
N |
No |
Edge app |
|
ServicePointId |
Service Point ID as of EventDate |
String |
N/A |
N/A |
N/A |
No |
CIS MDMS GIS |
|
MeterId |
Meter ID as of EventDate |
String |
N/A |
N/A |
N/A |
No |
CIS MDMS GIS |
|
MeterNumber |
Meter Number as of EventDate |
String |
N/A |
N/A |
N/A |
Yes |
CIS MDMS GIS |
|
ElectronicSerialNumber |
Electronic Serial Number |
String |
N/A |
N/A |
N/A |
No |
CIS MDMS GIS |
|
TransformerId |
Transformer ID as of EventDate |
String |
N/A |
N/A |
N/A |
Yes |
CIS MDMS GIS |
|
PremiseId |
Premise ID as of EventDate |
String |
N/A |
N/A |
N/A |
Yes |
CIS MDMS GIS |